vis

a vi-like editor based on Plan 9's structural regular expressions

git clone https://9o.is/git/vis.git

commit c6c11e64ebbd152b69591ec9805ea8609f9c5c8d
parent 83d282a6249541972437d1cb90f49381a996db64
Author: Randy Palamar <randy@rnpnr.xyz>
Date:   Sat, 22 Feb 2025 12:43:14 -0700

ci: also don't fail when the coverage file doesn't download correctly

Diffstat:
M.github/workflows/macos.yml | 6+++---
M.github/workflows/ubuntu.yml | 6+++---
2 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/.github/workflows/macos.yml b/.github/workflows/macos.yml @@ -50,8 +50,8 @@ jobs: run: | curl -s https://codecov.io/bash > codecov curl -s https://raw.githubusercontent.com/codecov/codecov-bash/master/SHA256SUM > codecov.sha256 - if ! sha256sum -c --ignore-missing --status codecov.sha256 ; then + if sha256sum -c --ignore-missing --status codecov.sha256 ; then + bash < codecov || true + else echo "Download checksum verification failed" - exit 1 fi - bash < codecov || true diff --git a/.github/workflows/ubuntu.yml b/.github/workflows/ubuntu.yml @@ -53,8 +53,8 @@ jobs: run: | curl -s https://codecov.io/bash > codecov curl -s https://raw.githubusercontent.com/codecov/codecov-bash/master/SHA256SUM > codecov.sha256 - if ! sha256sum -c --ignore-missing --status codecov.sha256 ; then + if sha256sum -c --ignore-missing --status codecov.sha256 ; then + bash < codecov || true + else echo "Download checksum verification failed" - exit 1 fi - bash < codecov || true